module hex27seg( 
    input [3:0]bcd, 
    output reg [6:0]seg); 
    always @(*)
    begin
    //segment g,f,e,d,c,b,a correspond to seg[6] to seg[0]
    //segment placement of 7-segment display
    //             -a-
    //           f|   |b
    //             -g-
    //           e|   |c
    //             -d-
        case(bcd)
//                        gfedcba        
        4'b0000: seg = 7'b0111111; // "0"     
        4'b0001: seg = 7'b0110000; // "1" 
        4'b0010: seg = 7'b1011011; // "2" 
        4'b0011: seg = 7'b1001111; // "3" 
        4'b0100: seg = 7'b1100110; // "4" 
        4'b0101: seg = 7'b1101101; // "5" 
        4'b0110: seg = 7'b1111101; // "6" 
        4'b0111: seg = 7'b0000111; // "7" 
        4'b1000: seg = 7'b1111111; // "8"     
        4'b1001: seg = 7'b1101111; // "9" 
        4'b1010: seg = 7'b1110111; // "a" 
        4'b1011: seg = 7'b1111100; // "b" 
        4'b1100: seg = 7'b0111001; // "c" 
        4'b1101: seg = 7'b1011110; // "d" 
        4'b1110: seg = 7'b1111001; // "e" 
        4'b1111: seg = 7'b1110001; // "f" 

        endcase
    end
endmodule